#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
        echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
        echo "USAGE: $0 <host> <director>"
        exit 0
fi

if [ "$0" = "basename $0" ]; then
        HOMEDIR="./"
else
        HOMEDIR=`dirname $0`
fi

VPLEX=$1
DIRECTOR=$2
METRIC=$3

BEREAD=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.be-ops-read" | cut -d ':' -f 2`
BEWRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.be-ops-read" | cut -d ':' -f 2`

OUT="beread:$BEREAD bewrite:$BEWRITE"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
	echo "STOP $0 resultats / $OUT" >>/tmp/vplex_debug.log
fi
