#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
        echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
        echo "USAGE: $0 <host> <director>"
        exit 0
fi

if [ "$0" = "basename $0" ]; then
        HOMEDIR="./"
else
        HOMEDIR=`dirname $0`
fi

VPLEX=$1
DIRECTOR=$2

CLU1LAT=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "com-cluster-io.avg-lat cluster-1" | cut -d ':' -f 2`
CLU2LAT=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "com-cluster-io.avg-lat cluster-2" | cut -d ':' -f 2`

OUT="clu1lat:$CLU1LAT clu2lat:$CLU2LAT"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
	echo "STOP $0 resultats / $OUT" >>/tmp/vplex_debug.log
fi
