#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
        echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
        echo "USAGE: $0 <host> <director>"
        exit 0
fi

if [ "$0" = "basename $0" ]; then
        HOMEDIR="./"
else
        HOMEDIR=`dirname $0`
fi

VPLEX=$1
DIRECTOR=$2
METRIC=$3

CPU0=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU0" | cut -d ':' -f 2`
CPU1=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU1" | cut -d ':' -f 2`
CPU2=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU2" | cut -d ':' -f 2`
CPU3=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU3" | cut -d ':' -f 2`
#CPU4=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU4" | cut -d ':' -f 2`
#CPU5=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU5" | cut -d ':' -f 2`
#CPU6=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU6" | cut -d ':' -f 2`
#CPU7=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "director.per-cpu-busy CPU7" | cut -d ':' -f 2`

CPU=$(( $CPU0 + $CPU1 + $CPU2 + $CPU3 ))
CPU=$(( $CPU / 4 ))

OUT="cpu:$CPU"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
	echo "STOP $0 resultats / $OUT" >>/tmp/vplex_debug.log
fi
