#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
echo "USAGE: $0 "
exit 0
fi

SSHOPTS="-o StrictHostKeyChecking=no"
PERPETUAL_PREFIX="/var/log/VPlex/cli/director-"
PERPETUAL_SUFFIX="_PERPETUAL_vplex_sys_perf_mon.log"
DEFAULTUSER=service
VPLEX=$1
DIRECTOR=$2
METRIC="$3"

REFRESH=50
file_d=/tmp/def_${1}_${2}
file_v=/tmp/val_${1}_${2}
file_r=/tmp/rel_${1}_${2}

if [ -f $file_d ]; then
file_age_d=$(( `date +%s` - `stat -L --format %Y $file_d` ))
else
file_age_d=1000
fi

if [ -f $file_v ]; then
file_age_v=$(( `date +%s` - `stat -L --format %Y $file_v` ))
else
file_age_v=1000
fi

if [ $file_age_d -gt $REFRESH ]; then
ssh ${SSHOPTS} ${DEFAULTUSER}@${VPLEX} -C head -1 ${PERPETUAL_PREFIX}${DIRECTOR}${PERPETUAL_SUFFIX} | tr ',' '\n' > $file_d
fi

if [ $file_age_v -gt $REFRESH ]; then
ssh ${SSHOPTS} ${DEFAULTUSER}@${VPLEX} -C tail -1 ${PERPETUAL_PREFIX}${DIRECTOR}${PERPETUAL_SUFFIX} | tr ',' '\n' > $file_v
fi

paste -d";" $file_d $file_v > $file_r
VALEUR=$(cat $file_r | grep "$METRIC" | cut -d ";" -f 2)

OUT="value:$VALEUR"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
echo "STOP $0 resultats / $OUT / parametres $1 $2 $METRIC " >>/tmp/vplex_debug.log
fi
