#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
        echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
        echo "USAGE: $0 <host> <director>"
        exit 0
fi

if [ "$0" = "basename $0" ]; then
        HOMEDIR="./"
else
        HOMEDIR=`dirname $0`
fi

VPLEX=$1
DIRECTOR=$2
METRIC=$3

SVREAD=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "storage-volume.read-latency recent-average" | cut -d ':' -f 2`
SVWRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "storage-volume.write-latency recent-average" | cut -d ':' -f 2`

OUT="svread:$SVREAD svwrite:$SVWRITE"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
	echo "STOP $0 resultats / $OUT" >>/tmp/vplex_debug.log
fi
