#! /bin/bash

if [ -f "/tmp/debug_on" ]; then
        echo "START $0 args / $*" >>/tmp/vplex_debug.log
fi

if [ "$2" = "" ]; then
        echo "USAGE: $0 <host> <director>"
        exit 0
fi

if [ "$0" = "basename $0" ]; then
        HOMEDIR="./"
else
        HOMEDIR=`dirname $0`
fi

VPLEX=$1
DIRECTOR=$2
METRIC=$3

DIRAB=`echo $DIRECTOR | cut -d '-' -f 3`

FC0READ=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.send-bytes ${DIRAB}2-FC00" | cut -d ':' -f 2`
FC0WRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.recv-bytes ${DIRAB}2-FC00" | cut -d ':' -f 2`
FC1READ=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.send-bytes ${DIRAB}2-FC01" | cut -d ':' -f 2`
FC1WRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.recv-bytes ${DIRAB}2-FC01" | cut -d ':' -f 2`
FC2READ=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.send-bytes ${DIRAB}2-FC02" | cut -d ':' -f 2`
FC2WRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.recv-bytes ${DIRAB}2-FC02" | cut -d ':' -f 2`
FC3READ=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.send-bytes ${DIRAB}2-FC03" | cut -d ':' -f 2`
FC3WRITE=`sh $HOMEDIR/check_director_metric.sh $VPLEX $DIRECTOR "fc-com-port.recv-bytes ${DIRAB}2-FC03" | cut -d ':' -f 2`

FCREAD=$(( $FC0READ + $FC1READ + $FC2READ + $FC3READ ))
FCWRITE=$(( $FC0WRITE + $FC1WRITE + $FC2WRITE + $FC3WRITE ))


OUT="wanread:$FCREAD wanwrite:$FCWRITE"
echo $OUT

if [ -f "/tmp/debug_on" ]; then
	echo "STOP $0 resultats / $OUT" >>/tmp/vplex_debug.log
fi
